> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List of users

> Get a list of all users created via a specific Client Key.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="users" type="string">
  Array of users.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="changeTime" type="string">
      Change time.
    </ResponseField>

    <ResponseField name="userKey" type="string">
      ID of the user.
    </ResponseField>

    <ResponseField name="fullname" type="string">
      First and second names of the user.
    </ResponseField>

    <ResponseField name="email" type="string">
      Email of the user.
    </ResponseField>

    <ResponseField name="customKey" type="string">
      User custom key, if you used it when creating the user.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/user' \ 
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{ 
            "data": {
  				   "action": "list",
  				   "clientKey": "YOUR_CLIENT_KEY"
  				  }
       }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  	{
         "users": [{
                  "createTime": "2023-12-01 12:18:55",
  				"changeTime": "2023-12-01 12:18:55",
                  "userKey": "USER_KEY", 
  				"fullname": "John Johnson",
      		    "email": "john_johnson@mail.com", 
  				"customKey": "YOUR_COMBINATION"
  		}],
         "code": "200",
         "message": "Users found"
      } 	

  ```
</ResponseExample>
